This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 819953 - (lightdm) Review Request: lightdm - Lightweight Display Manager
Review Request: lightdm - Lightweight Display Manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: lightdm-gtk lightdm-kde
  Show dependency treegraph
 
Reported: 2012-05-08 13:24 EDT by Rex Dieter
Modified: 2012-08-27 09:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 14:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gregor: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-05-08 13:24:32 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-1.2.2-8.fc17.src.rpm
Description: 
LightDM is an X display manager that:
* Has a lightweight codebase
* Is standards compliant (PAM, ConsoleKit, etc)
* Has a well defined interface between the server and user interface
* Fully themeable (easiest with the webkit interface)
* Cross-desktop (greeters can be written in any toolkit)
Comment 1 Terje Røsten 2012-05-13 08:51:21 EDT
a) I need a small patch to install:

--- lightdm.spec~       2012-04-26 17:47:01.000000000 +0200
+++ lightdm.spec        2012-05-13 14:22:49.000000000 +0200
@@ -40,7 +40,7 @@
 BuildRequires: vala
 
 Requires: %{name}-gobject%{?_isa} = %{version}-%{release}
-Requires: accountservice
+Requires: accountsservice
 ## this seems to still be a hard-requirement for now, at least
 ## until support for systemd restart/shutdown is implemented
 #if 0%{?fedora} < 17

b) lightdm-gtk is required as the default config file is using this greeter. 
I installed lightdm + lightdm-kde and it crashed.

c) Had to hack prefdm:

-- prefdm~     2012-05-13 14:47:14.269871645 +0200
+++ prefdm      2012-05-13 14:29:23.627352599 +0200
@@ -15,6 +15,8 @@
                preferred=/usr/sbin/gdm
        elif [ "$DISPLAYMANAGER" = KDE ]; then
                preferred=/usr/bin/kdm
+       elif [ "$DISPLAYMANAGER" = LIGHTDM ]; then
+               preferred=/usr/sbin/lightdm
        elif [ "$DISPLAYMANAGER" = WDM ]; then
                preferred=/usr/bin/wdm
                splash_quit_command="plymouth quit"

to make it work, 

(Add an initscripts ticket and blocker?
Create README.fedora to tell how to switch to lightdm too?)


After fixes it seems to be working fine, thanks!
Comment 2 Rex Dieter 2012-05-14 10:40:22 EDT
a.  is already is fixed in lightdm-1.2.2-9 (I updated the fedorapeople dir, but didn't post anything here yet), sorry.

b.  an open problem, we're trying to find a better solution via scripting or alternatives, or <better_idea_here)

c.  no need for hacks, just use in /etc/sysconfig/desktop
DISPLAYMANAGER=/usr/sbin/lightdm
for now.  I think long-term (f18 hopefully), prefdm will be replaced by some systemd magic for display managers.
Comment 3 Rex Dieter 2012-05-14 10:47:12 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-1.2.2-9.fc17.src.rpm

%changelog
* Wed May 09 2012 Rex Dieter <rdieter@fedoraproject.org> 1.2.2-9
- fix typo, Requires: accountsservice
Comment 4 Gregor Tätzner 2012-06-10 11:54:01 EDT
(In reply to comment #2)
> b.  an open problem, we're trying to find a better solution via scripting or
> alternatives, or <better_idea_here)

I hope you don't mind that I am interfering. But I created a solution for this issue based on alternatives: the default greeter-session is lightdm-greeter which poins to lightdm-kde-greeter or lightdm-gtk-greeter via alternatives.

Spec: http://brummbq.fedorapeople.org/lightdm/lightdm.spec
Srpm: http://brummbq.fedorapeople.org/lightdm/lightdm-1.2.2-11.fc16.src.rpm
Comment 5 Rex Dieter 2012-06-10 12:06:07 EDT
thanks, I'll consider it, but I'd rather we finish the reviews first, then find some solution.  

Personally, I feel alternatives should be a last-resort solution, after all other avenues of simpler/safer ones have been exhausted.
Comment 6 Gregor Tätzner 2012-06-10 12:17:50 EDT
(In reply to comment #5)
> thanks, I'll consider it, but I'd rather we finish the reviews first, then
> find some solution.  
You sure? Imho this should be fixed before shipping the package. It's kinda broken atm. By the way: I got that idea from debian lightdm package.
Comment 7 Rex Dieter 2012-06-10 16:14:46 EDT
Yes, let's please focus on review blockers first, then work, fix, collaborate on development in rawhide to fix bugs and make things work well.
Comment 8 Gregor Tätzner 2012-06-10 16:42:59 EDT
pre review:

- licence
GPLv2 is not sufficient. Most of the files are GPLv3+ with exception off:
/liblightdm-gobject and /liblightdm-qt: LGPLv3+
/tests: not specified

- macros: please use consistently the name macro

- patch numbering seems odd

- if you install lightdm sub-packages isolated, COPYING file does not get pulled

- add CHANGELOG to %doc

- if you add lightdm user on installation, you should remove him on uninstallation again (%preun I suppose)

- I think you should split the devel package, but not sure if this is required

- lightdm.x86_64: W: log-files-without-logrotate /var/log/lightdm

- mark as config: %{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf

rpmlint lightdm:
lightdm.x86_64: W: only-non-binary-in-usr-lib
lightdm.x86_64: W: non-standard-uid /var/cache/lightdm lightdm
lightdm.x86_64: W: non-standard-gid /var/cache/lightdm lightdm
lightdm.x86_64: E: non-standard-dir-perm /var/cache/lightdm 01775L
lightdm.x86_64: W: non-standard-uid /var/lib/lightdm lightdm
lightdm.x86_64: W: non-standard-gid /var/lib/lightdm lightdm
lightdm.x86_64: E: non-standard-dir-perm /var/lib/lightdm 01770L
lightdm.x86_64: W: non-standard-uid /var/log/lightdm lightdm
lightdm.x86_64: W: non-standard-gid /var/log/lightdm lightdm
lightdm.x86_64: E: non-standard-dir-perm /var/log/lightdm 01770L

rpmlint lightdm-devel:
lightdm-devel.x86_64: W: no-dependency-on lightdm/lightdm-libs/liblightdm

Can we ignore these?
Comment 9 Rex Dieter 2012-06-10 16:55:07 EDT
I appreciate the feedback, but please focus on review-blockers only first.

In particular, I need feedback on (stuff I'm not sure are worth worrying too much about right now...):

- macros: please use consistently the name macro
how so exactly?

- if you add lightdm user on installation, you should remove him on uninstallation ?

does it say that anywhere in our packaging guidelines?  (i'm pretty sure it doesn't, and if it does, we should probably get them changed) :)

- I think you should split the devel package, but not sure if this is required

ditto, as above.  it may or may not make sense to do this at some point, but it's largely a cosmetic issue.


the others I'll get to work on, thanks.
Comment 10 Gregor Tätzner 2012-06-11 01:58:15 EDT
(In reply to comment #9)
> I appreciate the feedback, but please focus on review-blockers only first.
Just record the fixes in changelog, so I can track your modifications.

> - macros: please use consistently the name macro
> how so exactly?
The use of the %name macro is pretty much randomly. just search for "lightdm"

i.e. Source0: https://launchpad.net/lightdm/1.2/%{version}/+download/lightdm-%
{version}.tar.gz
Source2: , Patch2: , ...

You should decide if you want to use this macros or not. However, guideline doesn't state usage of name macro explicitly, so post-review too, I guess.
Comment 11 Rex Dieter 2012-06-11 14:43:23 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-1.2.2-11.fc17.src.rpm

%changelog
* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 1.2.2-11
- License: LGPLv3+ and GPLv3+
- make dbus files %%config
- gobject-devel, qt-devel subpkgs

will leave logrotate as a TODO item later.
Comment 12 Gregor Tätzner 2012-06-12 02:09:35 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/greg/projects/Review/819953/lightdm-1.2.2.tar.gz :
  MD5SUM this package     : 671c194ee214f14f00c8ccc0f3aacabc
  MD5SUM upstream package : 671c194ee214f14f00c8ccc0f3aacabc

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.


Generated by fedora-review 0.2.0git

Approved
Comment 13 Rex Dieter 2012-06-12 12:35:05 EDT
thanks!

New Package SCM Request
=======================
Package Name: lightdm
Short Description: Lightweight Display Manager
Owners: rdieter
Branches: f16 f17
InitialCC:
Comment 14 Rex Dieter 2012-06-12 14:10:36 EDT
New Package SCM Request
=======================
Package Name: lightdm
Short Description: Lightweight Display Manager
Owners: rdieter cwickert
Branches: f16 f17
InitialCC:
Comment 15 Gwyn Ciesla 2012-06-12 14:38:17 EDT
Git done (by process-git-requests).
Comment 16 Rex Dieter 2012-06-12 14:48:11 EDT
imported
Comment 17 Fedora Update System 2012-06-21 13:26:31 EDT
lightdm-kde-0.1.1-6.fc17,lightdm-gtk-1.1.6-3.fc17,lightdm-1.2.2-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lightdm-kde-0.1.1-6.fc17,lightdm-gtk-1.1.6-3.fc17,lightdm-1.2.2-15.fc17
Comment 18 Fedora Update System 2012-06-21 13:26:42 EDT
lightdm-gtk-1.1.6-3.fc16,lightdm-kde-0.1.1-6.fc16,lightdm-1.2.2-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lightdm-gtk-1.1.6-3.fc16,lightdm-kde-0.1.1-6.fc16,lightdm-1.2.2-15.fc16
Comment 19 Fedora Update System 2012-06-30 17:48:43 EDT
lightdm-kde-0.1.1-6.fc17, lightdm-gtk-1.1.6-3.fc17, lightdm-1.2.2-15.fc17 has been pushed to the Fedora 17 stable repository.
Comment 20 Fedora Update System 2012-07-19 05:04:07 EDT
lightdm-gtk-1.1.6-3.fc16, lightdm-kde-0.1.1-6.fc16, lightdm-1.2.2-15.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.